Bug 1154977 (CVE-2014-3706) - CVE-2014-3706 ovirt-engine: connection does not validate certificate attributes.
Summary: CVE-2014-3706 ovirt-engine: connection does not validate certificate attributes.
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-3706
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1083304
TreeView+ depends on / blocked
 
Reported: 2014-10-21 07:46 UTC by Wade Mealing
Modified: 2021-02-17 06:04 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-04 18:42:24 UTC


Attachments (Terms of Use)

Description Wade Mealing 2014-10-21 07:46:52 UTC
Ovirt-engine did not verify key attributes from the the vdsm X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL certificate with invalid attributes that would otherwise prevent an certificate from being presented as valid

Comment 1 Alon Bar-Lev 2014-10-21 07:50:46 UTC
Hi,
What sequence? what is the "server"?
Thanks!

Comment 3 Kurt Seifried 2015-03-04 18:42:24 UTC
Statement:

This issue affects the versions of ovirt-engine as shipped with Red Hat MRG 3. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.